ParameterSignature (JUnit API)
Date: 2018-08-04

org.junit.experimental.theories

## Class ParameterSignature

- java.lang.Object
- - org.junit.experimental.theories.ParameterSignature

-     public class ParameterSignature
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canAcceptType(java.lang.Class<?> candidate)`
    `boolean` | `canAcceptValue(java.lang.Object candidate)`
    `boolean` | `canPotentiallyAcceptType(java.lang.Class<?> candidate)`
    `<T extends java.lang.annotation.Annotation> T` | `findDeepAnnotation(java.lang.Class<T> annotationType)`
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation(java.lang.Class<T> annotationType)`
    `java.util.List<java.lang.annotation.Annotation>` | `getAnnotations()`
    `java.lang.Class<?>` | `getType()`
    `boolean` | `hasAnnotation(java.lang.Class<? extends java.lang.annotation.Annotation> type)`
    `static java.util.List<ParameterSignature>` | `signatures(java.lang.reflect.Constructor<?> constructor)`
    `static java.util.ArrayList<ParameterSignature>` | `signatures(java.lang.reflect.Method method)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### signatures

          public static java.util.ArrayList<ParameterSignature> signatures(java.lang.reflect.Method method)

    - #### signatures

          public static java.util.List<ParameterSignature> signatures(java.lang.reflect.Constructor<?> constructor)

    - #### canAcceptValue

          public boolean canAcceptValue(java.lang.Object candidate)

    - #### canAcceptType

          public boolean canAcceptType(java.lang.Class<?> candidate)

    - #### canPotentiallyAcceptType

          public boolean canPotentiallyAcceptType(java.lang.Class<?> candidate)

    - #### getType

          public java.lang.Class<?> getType()

    - #### getAnnotations

          public java.util.List<java.lang.annotation.Annotation> getAnnotations()

    - #### hasAnnotation

          public boolean hasAnnotation(java.lang.Class<? extends java.lang.annotation.Annotation> type)

    - #### findDeepAnnotation

          public <T extends java.lang.annotation.Annotation> T findDeepAnnotation(java.lang.Class<T> annotationType)

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotationType)